-- dblua
loadlibrary( cgilua.directory..'libdblua.so', 'dbgraflib_open' )

function cgilua.dbluaerrorfb( s )
  cgilua.dblua_error = s
end

cgilua.DBOpen = DBOpen
function DBOpen( str )
   local oldfb = setfallback( "error", cgilua.dbluaerrorfb )

   cgilua.dblua_error = nil
   dostring( 'cgilua.DBOpen( "'..str..'" )')
   setfallback( "error", oldfb )
   return cgilua.dblua_error
end

function cgilua.dblua_escape( s )
  if not s then return "\'\'" end
  s = gsub( s, "%\'", "\%\'\%\'")
  s = gsub( s, "%\"", "\\%\"")
  return "\'"..s.."\'"
end

